Subject: Re: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: martin rudalics <[email-masked]>
Date: Tue, 10 Dec 2013 08:52:24 +0100

>>>   emacs -Q
 >>>   M-x load-file RET frame-fns.el RET
 >>>   M-x load-file RET frame-cmds.el RET
 >>>   M-x load-file RET thumb-frm.el RET
 >>>   C-z
 >>>
 >>> It doesn't work for me here, with today's trunk.
 >> I haven't had tried that.  But since Drew said it doesn't work
 >> I had no reason to doubt that it doesn't work.
 >
 > Can you please test this on X?  I'd like to know if this is a Windows
 > specific problem.

On Gtk3+ the default frame shrinks to 315x362 pixels and in addition I
get a

Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion `extra_space >= 0' failed

on the console (which might a more or less well known issue).

I consider such resizing insane because there's no guarantee that a
toolkit will be able to cope with arbitrarily microsized scrollbars.

martin